package com.ycgis.macall.personalcenter.m.datamodel;

/**
 * created by:   Macall
 * create time:  2025/5/29 16:56
 * copyright:    @ruansee.com
 * Describe:
 */
public class PrintModel {
//    "content":"文字内容",
//            * "printType":1

    private String content;
    private int printType;
    private int contentWidth;
    private int contentHeight;
    private int pageHeight;
    private int pageWidth;
    private int zoomLevel;

    public int getZoomLevel() {
        if (zoomLevel>32) return 32;
        return Math.max(zoomLevel, 1);
    }

    public void setZoomLevel(int zoomLevel) {
        this.zoomLevel = zoomLevel;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getPrintType() {
        return printType;
    }

    public void setPrintType(int printType) {
        this.printType = printType;
    }

    public int getContentWidth() {
        return contentWidth;
    }

    public void setContentWidth(int contentWidth) {
        this.contentWidth = contentWidth;
    }

    public int getContentHeight() {
        return contentHeight;
    }

    public void setContentHeight(int contentHeight) {
        this.contentHeight = contentHeight;
    }

    public int getPageHeight() {
        if (pageHeight<100)return 100;
        return Math.min(pageHeight,2000);
    }

    public void setPageHeight(int pageHeight) {
        this.pageHeight = pageHeight;
    }

    public int getPageWidth() {
        if (pageWidth<100)return 100;
        return Math.min(pageWidth,2000);
    }

    public void setPageWidth(int pageWidth) {
        this.pageWidth = pageWidth;
    }
}
